%define name    gconf-editor
%define version 2.32.0
%define release %mkrel 1

#%define __libtoolize /bin/true

Summary: An editor for the GConf configuration system
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
License: GPLv2+
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libGConf2-devel >= 2.9.2
BuildRequires: polkit-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: gnome-doc-utils libxslt-proc
URL: http://www.gnome.org/
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
gconf-edit is an editor for the GConf configuration system.

#german
%description -l de
gconf-Edit ist ein Editor für die GConf Konfigurations-System.

#french
%description -l fr
gconf-Edit est un éditeur pour le système de configuration GConf.

#spanish
%description -l es
gconf-Edit es un editor para el sistema de configuración de GConf.

#polish
%description -l pl
gconf-edit jest edytorem konfiguracji systemu GConf.

#serbian
%description -l sr
гцонф-измена је уредник за ГЦонф конфигурацију система.

#dutch
%description -l nl
gconf-edit is een editor voor de GConf configuratie-systeem.


%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

desktop-file-install --vendor="" \
  --remove-category="System" \
  --add-category="Settings" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Advanced" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%post_install_gconf_schemas %name
%update_icon_cache hicolor
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %name

%postun
%{clean_menus}
%clean_icon_cache hicolor
%clean_scrollkeeper

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%_datadir/%name
%_sysconfdir/gconf/schemas/%name.schemas
%dir %_datadir/omf/%name
%_datadir/omf/%name/*-C.omf


%changelog
* Tue Sep 28 2010 siamer <siamer@wp.pl> 2.32.0-1pclos2010
- new version
- archive in xz

* Wed Mar 31 2010 siamer <siamer@wp.pl> 2.30.0-1pclos2010
- new version

* Sun Jan 03 2010 Texstar <texstar at gmail.com> 2.28.0-3pclso2010
- rebuild

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Mon Oct 05 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Fri Apr 24 2009 siamer <siamer@wp.pl> 2.26.0-1
- new version 2.26.0

* Fri Oct 24 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.24.1-1pclos2007
- New version 2.24.1

* Fri Nov 30 2007 Texstar <texstar@gmail.com> 2.20.0-1pclos2007
- 2.20.0

* Thu Sep 13 2007 Texstar <texstar@gmail.com> 2.18.0-2pclos2007
- rebuild 
- remove old menu system

* Sun Sep 02 2007 Texstar <texstar@gmail.com> 2.18.0-1pclos2007
- 2.18.0

* Mon Oct 30 2006 Texstar <texstar@houston.rr.com> 2.16.0-2pclos2007
- Build for PCLinuxOS 2007
